---------------------
PatchSet 3308 
Date: 2006/06/17 15:49:30
Author: serassio
Branch: nt
Tag: (none) 
Log:
Updated with latest CacheManager class

Members: 
	src/DiskIO/WinDiskThreads/WinDiskThreadsIOStrategy.cc:1.1.2.4->1.1.2.5 
	src/DiskIO/WinDiskThreads/WinDiskThreadsIOStrategy.h:1.1.2.1->1.1.2.2 

Index: squid3/src/DiskIO/WinDiskThreads/WinDiskThreadsIOStrategy.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/DiskIO/WinDiskThreads/Attic/WinDiskThreadsIOStrategy.cc,v
retrieving revision 1.1.2.4
retrieving revision 1.1.2.5
diff -u -r1.1.2.4 -r1.1.2.5
--- squid3/src/DiskIO/WinDiskThreads/WinDiskThreadsIOStrategy.cc	21 Aug 2005 07:43:52 -0000	1.1.2.4
+++ squid3/src/DiskIO/WinDiskThreads/WinDiskThreadsIOStrategy.cc	17 Jun 2006 15:49:30 -0000	1.1.2.5
@@ -1,6 +1,6 @@
 
 /*
- * $Id: WinDiskThreadsIOStrategy.cc,v 1.1.2.4 2005/08/21 07:43:52 serassio Exp $
+ * $Id: WinDiskThreadsIOStrategy.cc,v 1.1.2.5 2006/06/17 15:49:30 serassio Exp $
  *
  * DEBUG: section 79    Squid-side Disk I/O functions.
  * AUTHOR: Robert Collins
@@ -36,6 +36,7 @@
 
 #include "squid.h"
 
+#include "CacheManager.h"
 #include "WinDiskThreadsIOStrategy.h"
 #include "WinDiskThreadsDiskFile.h"
 /* for statfs */
@@ -52,13 +53,17 @@
 
     squidaio_ctrl_pool = new MemAllocatorProxy("aio_ctrl", sizeof(squidaio_ctrl_t));
 
-    cachemgrRegister("squidaio_counts", "Async IO Function Counters",
-                     aioStats, 0, 1);
-
     initialised = true;
 }
 
 void
+WinDiskThreadsIOStrategy::registerWithCacheManager(CacheManager & manager)
+{
+    manager.registerAction("squidaio_counts", "Async IO Function Counters",
+                           aioStats, 0, 1);
+}
+
+void
 WinDiskThreadsIOStrategy::done(void)
 {
     if (!initialised)
Index: squid3/src/DiskIO/WinDiskThreads/WinDiskThreadsIOStrategy.h
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/DiskIO/WinDiskThreads/Attic/WinDiskThreadsIOStrategy.h,v
retrieving revision 1.1.2.1
retrieving revision 1.1.2.2
diff -u -r1.1.2.1 -r1.1.2.2
--- squid3/src/DiskIO/WinDiskThreads/WinDiskThreadsIOStrategy.h	1 Jan 2005 18:54:31 -0000	1.1.2.1
+++ squid3/src/DiskIO/WinDiskThreads/WinDiskThreadsIOStrategy.h	17 Jun 2006 15:49:30 -0000	1.1.2.2
@@ -1,6 +1,6 @@
 
 /*
- * $Id: WinDiskThreadsIOStrategy.h,v 1.1.2.1 2005/01/01 18:54:31 serassio Exp $
+ * $Id: WinDiskThreadsIOStrategy.h,v 1.1.2.2 2006/06/17 15:49:30 serassio Exp $
  *
  * DEBUG: section 79    Squid-side Disk I/O functions.
  * AUTHOR: Robert Collins
@@ -59,6 +59,7 @@
     virtual int callback();
     virtual void sync();
     virtual void init();
+    virtual void registerWithCacheManager(CacheManager & manager);
     void done();
     /* Todo: add access limitations */
     bool initialised;
